package com.dji.sample.manage.model.dto;

import com.dji.sdk.cloudapi.log.LogModuleEnum;
import java.util.List;

/**
 * @author huiqing.jiang
 * @version 1.2
 * @date 2024/9/10
 */
public class FileUploadFile {

    private String deviceSn;

    private List<LogFileIndexDTO> list;

    private LogModuleEnum module;

    private String objectKey;

    public FileUploadFile() {
    }

    @Override
    public String toString() {
        return "FileUploadStartFile{" +
                "deviceSn='" + deviceSn + '\'' +
                ", list=" + list +
                ", module=" + module +
                ", objectKey='" + objectKey + '\'' +
                '}';
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public FileUploadFile setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
        return this;
    }

    public List<LogFileIndexDTO> getList() {
        return list;
    }

    public FileUploadFile setList(List<LogFileIndexDTO> list) {
        this.list = list;
        return this;
    }

    public LogModuleEnum getModule() {
        return module;
    }

    public FileUploadFile setModule(LogModuleEnum module) {
        this.module = module;
        return this;
    }

    public String getObjectKey() {
        return objectKey;
    }

    public FileUploadFile setObjectKey(String objectKey) {
        this.objectKey = objectKey;
        return this;
    }
}
